=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2011-09-26 15:54:28 +0000
+++ bzrlib/builtins.py	2011-09-27 11:31:35 +0000
@@ -6397,14 +6397,14 @@
     __doc__ = """Export command helps and error messages in po format."""
 
     hidden = True
-    takes_options = [Option('plugins', 
-                            help='Comma separated list of plugin commands '\
-                                 'to export (defaults to all built in commands).',
+    takes_options = [Option('plugin', 
+                            help='Export help text from named command '\
+                                 '(defaults to all built in commands).',
                             type=str)]
 
-    def run(self, plugins=None):
+    def run(self, plugin=None):
         from bzrlib.export_pot import export_pot
-        export_pot(self.outf, plugins)
+        export_pot(self.outf, plugin)
 
 
 def _register_lazy_builtins():

=== modified file 'bzrlib/export_pot.py'
--- bzrlib/export_pot.py	2011-09-26 15:54:28 +0000
+++ bzrlib/export_pot.py	2011-09-27 11:31:35 +0000
@@ -169,7 +169,7 @@
     _command_options(outf, path, cmd)
 
 
-def _command_helps(outf, plugins=None):
+def _command_helps(outf, plugin_name=None):
     """Extract docstrings from path.
 
     This respects the Bazaar cmdtable/table convention and will
@@ -182,7 +182,7 @@
         command = _mod_commands.get_cmd_object(cmd_name, False)
         if command.hidden:
             continue
-        if plugins is not None:
+        if plugin_name is not None:
             # only export builtins if we are not exporting plugin commands
             continue
         note(gettext("Exporting messages from builtin command: %s"), cmd_name)
@@ -197,10 +197,10 @@
         command = _mod_commands.get_cmd_object(cmd_name, False)
         if command.hidden:
             continue
-        if plugins is not None and cmd_name not in plugins:
+        if plugin_name is not None and command.plugin_name() != plugin_name:
             # if we are exporting plugin commands, skip plugins we have not specified.
             continue
-        if plugins is None and command.plugin_name() not in core_plugins:
+        if plugin_name is None and command.plugin_name() not in core_plugins:
             # skip non-core plugins
             # TODO: Support extracting from third party plugins.
             continue
@@ -252,14 +252,13 @@
             _poentry(outf, 'dummy/help_topics/'+key+'/summary.txt',
                      1, summary)
 
-def export_pot(outf, plugins=None):
+def export_pot(outf, plugin=None):
     global _FOUND_MSGID
     _FOUND_MSGID = set()
-    if plugins is None:
+    if plugin is None:
         _standard_options(outf)
         _command_helps(outf)
         _error_messages(outf)
         _help_topics(outf)
     else:
-        plugin_commands = plugins.split(',')
-        _command_helps(outf, plugins)
+        _command_helps(outf, plugin)

